> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear Contact y asociarlo al Ticket atómicamente



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/tickets/{ticketId}/associations/contacts/creation-attempts
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{ticketId}/associations/contacts/creation-attempts:
    post:
      tags:
        - tickets
      summary: Crear Contact y asociarlo al Ticket atómicamente
      operationId: TicketContactCreateController_create
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TicketContactCreateDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketContactCreateReceiptDto'
components:
  schemas:
    TicketContactCreateDto:
      type: object
      properties:
        expected_version:
          type: number
          minimum: 1
          maximum: 2147483647
        contact:
          $ref: '#/components/schemas/TicketContactCreateFieldsDto'
      required:
        - expected_version
        - contact
    TicketContactCreateReceiptDto:
      type: object
      properties:
        ticketId:
          type: string
          format: uuid
        contactId:
          type: string
          format: uuid
        version:
          type: number
          minimum: 1
      required:
        - ticketId
        - contactId
        - version
    TicketContactCreateFieldsDto:
      type: object
      properties:
        contact_name:
          type: string
          maxLength: 100
        email:
          type: string
          maxLength: 255
        phone:
          type: string
          maxLength: 100
        position:
          type: string
          maxLength: 255
        rol:
          type: string
          maxLength: 400
      required:
        - contact_name

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.